# Today Executions

`GET` `/v1/trade/execution/today`

This API is used to get today executions.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | Stock symbol, use `ticker.region` format, example: `AAPL.US` |
| `order_id` | string | No | Order ID, example: `701276261045858304` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/trade/execution/today' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trades` | object[] | No | Execution Detail |
| `└ trade_id` | string | No | Execution ID |
| `└ order_id` | string | No | Order ID |
| `└ symbol` | string | No | Stock symbol, use `ticker.region` format,example: `AAPL.US` |
| `└ price` | string | No | Executed price |
| `└ quantity` | string | No | Executed quantity |
| `└ trade_done_at` | string | No | Trade done time, formatted as a timestamp (second) |
| `└ side` | string | No | Trade side. **Enum Value:**, `Buy`, `Sell` |
| `has_more` | boolean | No | has more orders record. The maximum number of orders per query is 1000, if the number of results exceeds 1000, then has_more will be true |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "trades": [
      {
        "order_id": "693664675163312128",
        "price": "388",
        "quantity": "100",
        "side": "Buy",
        "symbol": "700.HK",
        "trade_done_at": "1648611351",
        "trade_id": "693664675163312128-1648611351433741210"
      }
    ]
  }
}
```
